curl --request PUT \
--url https://api.qovery.com/organization/{organizationId}/scaleway/credentials/{credentialsId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scaleway_access_key": "<string>",
"scaleway_secret_key": "<string>",
"scaleway_project_id": "<string>",
"scaleway_organization_id": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"access_key_id": "<string>",
"object_type": "AWS"
}curl --request PUT \
--url https://api.qovery.com/organization/{organizationId}/scaleway/credentials/{credentialsId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scaleway_access_key": "<string>",
"scaleway_secret_key": "<string>",
"scaleway_project_id": "<string>",
"scaleway_organization_id": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"access_key_id": "<string>",
"object_type": "AWS"
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
Credentials ID
Edit a set of Scaleway credentials
Was this page helpful?